## org.mortbay.jetty.plus
Class MailService.SessionObjectFactory

    java.lang.Object
      |
      +--org.mortbay.jetty.plus.MailService.SessionObjectFactory

All Implemented Interfaces:
  javax.naming.spi.ObjectFactory

Enclosing class:
  MailService

public static class MailService.SessionObjectFactory
extends java.lang.Object
implements javax.naming.spi.ObjectFactory

Constructor Summary
`MailService.SessionObjectFactory()`

Method Summary
`static void` `addSession(Session session, javax.naming.StringRefAddr ref)`
`java.lang.Object` `getObjectInstance(java.lang.Object obj, javax.naming.Name name, javax.naming.Context nameCtx, java.util.Hashtable environment)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MailService.SessionObjectFactory

    public MailService.SessionObjectFactory()

Method Detail

### addSession

    public static void addSession(Session session,
                                  javax.naming.StringRefAddr ref)

### getObjectInstance

    public java.lang.Object getObjectInstance(java.lang.Object obj,
                                              javax.naming.Name name,
                                              javax.naming.Context nameCtx,
                                              java.util.Hashtable environment)
                                       throws java.lang.Exception

  Specified by:
    `getObjectInstance` in interface `javax.naming.spi.ObjectFactory`
    `java.lang.Exception`

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.